//
//  TZPhotoPickerController.h
//  TZImagePickerController
//
//  Created by 谭真 on 15/12/24.
//  Copyright © 2015年 谭真. All rights reserved.
//

#import <UIKit/UIKit.h>

@class TZAlbumModel,PHAsset;;
@interface TZPhotoPickerController : UIViewController

@property (nonatomic, assign) BOOL isFirstAppear;
@property (nonatomic, assign) NSInteger columnNumber;
@property (nonatomic, strong) TZAlbumModel *model;

/// custom Property
/**
 Default false
 判断是否为卡点模板，进行多视频选择时，如果快速选择资源，会出现PHAsset还没有Load完资源动作，
 然后就进行再次选择视频，此时，tzImagePickerVc.selectedModels < tzImagePickerVc.maxImagesCount
 不成立，导致执行 toast 提示 最多只显示一张照片。因此用改属性进行过滤。对其他使用情况不会有影响。
 */
@property (nonatomic, assign) BOOL isSpotMode;

- (void)releaseObjs;

- (void)unCheckModel:(PHAsset *)asset;

@end


@interface TZCollectionView : UICollectionView

@end
